Package org.eclipse.rap.rwt.client

# Interface Client

All Superinterfaces:
  `Serializable`

All Known Implementing Classes:
  `WebClient`

public interface Client extends Serializable
Represents a remote client. The client that is connected to the current session can be obtained by calling `RWT.getClient()`.

An RWT client can provide services, e.g. to allow access to device-specific capabilities. Those client services implement the common interface `ClientService`.

Since:
  2.0
See Also:
  - `WebClient`
  - `RWT.getClient()`

## Method Summary

Modifier and Type
Method
Description
`<T extends ClientService>
T`
`getService(Class<T> type)`
Returns this client's implementation of a given service, if available.

## Method Details

### getService

<T extends ClientService> T getService(Class<T> type)
Returns this client's implementation of a given service, if available.

Parameters:
  `type` - the type of the requested service, must be a subtype of ClientService
Returns:
  the requested service if provided by this client, otherwise `null`
See Also:
  - `ClientService`